summaryrefslogtreecommitdiffstats
path: root/flashplayer-plugin
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-12-01 19:15:22 +0000
committer Eric Hameleers <alien@slackware.com>2010-12-01 19:15:22 +0000
commit9595e80e5b1f0d0d1b44d7411cf9adfdbdacb8ab (patch)
treebef30bf9c6681dcbd962946095950eac24b2b84d /flashplayer-plugin
parent370b853e63418b58fa6727569f54e835876656c4 (diff)
downloadasb-9595e80e5b1f0d0d1b44d7411cf9adfdbdacb8ab.tar.gz
asb-9595e80e5b1f0d0d1b44d7411cf9adfdbdacb8ab.tar.xz
Updated to 10_2.111710
Diffstat (limited to 'flashplayer-plugin')
-rwxr-xr-xflashplayer-plugin/build/flashplayer-plugin.SlackBuild79
1 files changed, 46 insertions, 33 deletions
diff --git a/flashplayer-plugin/build/flashplayer-plugin.SlackBuild b/flashplayer-plugin/build/flashplayer-plugin.SlackBuild
index 124f215b..e61ce917 100755
--- a/flashplayer-plugin/build/flashplayer-plugin.SlackBuild
+++ b/flashplayer-plugin/build/flashplayer-plugin.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright (c) 2008, 2009, 2010 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009, 2010 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -43,6 +43,10 @@
# * Preview1 of "flash player square".
# 10.092710-1: 28/sep/2010 by Eric Hameleers <alien@slackware.com>
# * Preview2 of "flash player square".
+# 10_2.111710-1:28/sep/2010 by Eric Hameleers <alien@slackware.com>
+# * New preview of "flash player square" for 64-bit Linux; there
+# is no more 32-bit "square" version, because new developments
+# are being folded into regular flashplayer10.
#
# Run 'sh flashplayer-plugin.SlackBuild' to build a Slackware package.
# The package (.txz) and .txt file as well as build logs are created in /tmp .
@@ -53,11 +57,19 @@
# Set initial variables:
PRGNAM=flashplayer-plugin
-VERSION=${VERSION:-10.092710}
-PREVER=${PREVER:-2}
-SRCVER=$(echo $VERSION | cut -d'.' -f2)
+SRCVER=${SRCVER:-10_2}
+BLDVER=${BLDVER:-111710}
+VERSION=$SRCVER.$BLDVER
BUILD=${BUILD:-1}
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) export ARCH=i486 ;;
@@ -67,27 +79,25 @@ if [ -z "$ARCH" ]; then
esac
fi
-if [ "$ARCH" = "x86_64" ]; then
- LIBDIRSUFFIX="64"
- ARCHBITS="64"
-elif [ "$ARCH" = "i486" ]; then
- LIBDIRSUFFIX=""
- ARCHBITS="32"
-else
- echo "Unsupported architecture '$ARCH'"
- exit 1
-fi
-
-# Where do we look for sources?
-SRCDIR=$(cd $(dirname $0); pwd)
-
-# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
-TMP=${TMP:-/tmp/build}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+case "$ARCH" in
+ x86_64)
+ PREVER=${PREVER:-3}
+ LIBDIRSUFFIX="64"
+ ARCHBITS="64"
+ ;;
+ i?86)
+ PREVER=${PREVER:-2}
+ LIBDIRSUFFIX=""
+ ARCHBITS="32"
+ ;;
+ *)
+ echo "Unsupported architecture '$ARCH'"
+ exit 1
+ ;;
+esac
-SOURCE="$SRCDIR/flashplayer_square_p${PREVER}_${ARCHBITS}bit_linux_${SRCVER}.tar.gz"
-SRCURL="http://download.macromedia.com/pub/labs/flashplayer10/flashplayer_square_p${PREVER}_${ARCHBITS}bit_linux_${SRCVER}.tar.gz"
+SOURCE="$SRCDIR/flashplayer${SRCVER}_p${PREVER}_${ARCHBITS}bit_linux_${BLDVER}.tar.gz"
+SRCURL="http://download.macromedia.com/pub/labs/flashplayer10/flashplayer${SRCVER}_p${PREVER}_${ARCHBITS}bit_linux_${BLDVER}.tar.gz"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -145,15 +155,18 @@ tar -xvf ${SOURCE}
chown -R root:root *
chmod -R u+w,go+r-w,a+X-s .
-if [ "$ARCH" = "x86_64" ]; then
- if ! file libflashplayer.so | grep -q "ELF 64-bit" ; then
- echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
- fi
-elif [[ "$ARCH" =~ "i?86" ]]; then
- if ! file libflashplayer.so | grep -q "ELF 32-bit" ; then
- echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
- fi
-fi
+case "$ARCH" in
+ x86_64)
+ if ! file libflashplayer.so | grep -q "ELF 64-bit" ; then
+ echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
+ fi
+ ;;
+ i?86)
+ if ! file libflashplayer.so | grep -q "ELF 32-bit" ; then
+ echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
+ fi
+ ;;
+esac
# Install the plugin to the package dir:
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins